Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.cs
Interface LinearCS

All Superinterfaces:
  CoordinateSystem, IdentifiedObject

    @UML(identifier="CS_LinearCS",
         specification=ISO_19111)
    public interface LinearCS

extends CoordinateSystem

A one-dimensional coordinate system that consists of the points that lie on the single axis described. The associated ordinate is the distance from the specified origin to the point along the axis. Example: usage of the line feature representing a road to describe points on or along that road. A `LinearCS` shall have one axis association.

Used with CRS type(s)
`Engineering`

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary

Methods inherited from interface CoordinateSystem
`getAxis, getDimension`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.